<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for /vagrant/src/Controller</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../_css/bootstrap.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/nv.d3.min.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/style.css?v=9.2.26" rel="stylesheet" type="text/css">
  <link href="../_css/custom.css" rel="stylesheet" type="text/css">
 </head>
 <body>
  <header>
   <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
      <nav aria-label="breadcrumb">
       <ol class="breadcrumb">
         <li class="breadcrumb-item"><a href="../index.html">/vagrant/src</a></li>
         <li class="breadcrumb-item"><a href="index.html">Controller</a></li>
         <li class="breadcrumb-item active">(Dashboard)</li>

       </ol>
      </nav>
     </div>
    </div>
   </div>
  </header>
  <div class="container-fluid">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="ProductPresenceController.php.html#19">App\Controller\ProductPresenceController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ResettingController.php.html#19">App\Controller\ResettingController</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DefaultController.php.html#11">App\Controller\DefaultController</a></td><td class="text-right">8%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="ResettingController.php.html#19">App\Controller\ResettingController</a></td><td class="text-right">156</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#19">App\Controller\ProductPresenceController</a></td><td class="text-right">72</td></tr>
       <tr><td><a href="DefaultController.php.html#11">App\Controller\DefaultController</a></td><td class="text-right">16</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="DefaultController.php.html#24"><abbr title="App\Controller\DefaultController::saveUserPreferences">saveUserPreferences</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DefaultController.php.html#38"><abbr title="App\Controller\DefaultController::getUserPreferences">getUserPreferences</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#22"><abbr title="App\Controller\ProductPresenceController::index">index</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#44"><abbr title="App\Controller\ProductPresenceController::new">new</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#67"><abbr title="App\Controller\ProductPresenceController::remove">remove</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ResettingController.php.html#24"><abbr title="App\Controller\ResettingController::resetPassword">resetPassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ResettingController.php.html#52"><abbr title="App\Controller\ResettingController::resetPasswordCheck">resetPasswordCheck</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ResettingController.php.html#93"><abbr title="App\Controller\ResettingController::changePassword">changePassword</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="SecurityController.php.html#36"><abbr title="App\Controller\SecurityController::logout">logout</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PantryController.php.html#75"><abbr title="App\Controller\PantryController::edit">edit</abbr></a></td><td class="text-right">80%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="ResettingController.php.html#52"><abbr title="App\Controller\ResettingController::resetPasswordCheck">resetPasswordCheck</abbr></a></td><td class="text-right">30</td></tr>
       <tr><td><a href="ResettingController.php.html#24"><abbr title="App\Controller\ResettingController::resetPassword">resetPassword</abbr></a></td><td class="text-right">20</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#44"><abbr title="App\Controller\ProductPresenceController::new">new</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#67"><abbr title="App\Controller\ProductPresenceController::remove">remove</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="ResettingController.php.html#93"><abbr title="App\Controller\ResettingController::changePassword">changePassword</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="DefaultController.php.html#38"><abbr title="App\Controller\DefaultController::getUserPreferences">getUserPreferences</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="ProductPresenceController.php.html#22"><abbr title="App\Controller\ProductPresenceController::index">index</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="PantryController.php.html#75"><abbr title="App\Controller\PantryController::edit">edit</abbr></a></td><td class="text-right">3</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 9.2.26</a> using <a href="https://secure.php.net/" target="_top">PHP 8.1.16</a> at Sat Mar 11 11:01:13 UTC 2023.</small>
    </p>
   </footer>
  </div>
  <script src="../_js/jquery.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script src="../_js/nv.d3.min.js?v=9.2.26" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([2,1,0,0,0,0,0,0,0,0,2,1], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([9,0,0,0,0,0,0,0,0,1,0,5], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[100,0,"<a href=\"BaseController.php.html#19\">App\\Controller\\BaseController<\/a>"],[8.333333333333332,4,"<a href=\"DefaultController.php.html#11\">App\\Controller\\DefaultController<\/a>"],[95.45454545454545,9,"<a href=\"PantryController.php.html#15\">App\\Controller\\PantryController<\/a>"],[0,8,"<a href=\"ProductPresenceController.php.html#19\">App\\Controller\\ProductPresenceController<\/a>"],[0,12,"<a href=\"ResettingController.php.html#19\">App\\Controller\\ResettingController<\/a>"],[91.66666666666666,2,"<a href=\"SecurityController.php.html#12\">App\\Controller\\SecurityController<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[100,1,"<a href=\"DefaultController.php.html#16\">App\\Controller\\DefaultController::homepage<\/a>"],[0,1,"<a href=\"DefaultController.php.html#24\">App\\Controller\\DefaultController::saveUserPreferences<\/a>"],[0,2,"<a href=\"DefaultController.php.html#38\">App\\Controller\\DefaultController::getUserPreferences<\/a>"],[100,1,"<a href=\"PantryController.php.html#18\">App\\Controller\\PantryController::index<\/a>"],[100,3,"<a href=\"PantryController.php.html#45\">App\\Controller\\PantryController::new<\/a>"],[80,3,"<a href=\"PantryController.php.html#75\">App\\Controller\\PantryController::edit<\/a>"],[100,2,"<a href=\"PantryController.php.html#94\">App\\Controller\\PantryController::delete<\/a>"],[0,2,"<a href=\"ProductPresenceController.php.html#22\">App\\Controller\\ProductPresenceController::index<\/a>"],[0,3,"<a href=\"ProductPresenceController.php.html#44\">App\\Controller\\ProductPresenceController::new<\/a>"],[0,3,"<a href=\"ProductPresenceController.php.html#67\">App\\Controller\\ProductPresenceController::remove<\/a>"],[0,4,"<a href=\"ResettingController.php.html#24\">App\\Controller\\ResettingController::resetPassword<\/a>"],[0,5,"<a href=\"ResettingController.php.html#52\">App\\Controller\\ResettingController::resetPasswordCheck<\/a>"],[0,3,"<a href=\"ResettingController.php.html#93\">App\\Controller\\ResettingController::changePassword<\/a>"],[100,1,"<a href=\"SecurityController.php.html#17\">App\\Controller\\SecurityController::login<\/a>"],[0,1,"<a href=\"SecurityController.php.html#36\">App\\Controller\\SecurityController::logout<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
